## meson-1.7 1.7.0

=== debian/changelog ===
meson-1.7 (1.7.0-1ubuntu1~24.04.1) noble; urgency=medium

  * Backport to noble as meson-1.7. (LP: #2126037)
    - skip four failing coverage tests

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 Sep 2025 11:50:02 +0300

meson (1.7.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/lp2049904.patch: Suffix rustc link args with `-Clink-arg=-lc`
      when linking against external C ABI libraries (LP: #2049904)
    - Add LLVM 20. Why does meson have such a fixation on LLVM versions?

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Feb 2025 14:06:18 +0100

meson (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 26 Jan 2025 20:48:17 +0200

meson (1.7.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 19 Jan 2025 21:02:25 +0200

meson (1.7.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 09 Jan 2025 16:55:56 +0200

meson (1.6.1-1ubuntu2) plucky; urgency=medium

  * Add LLVM 20. Why does meson have such a fixation on LLVM versions?

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Feb 2025 13:25:20 +0100

meson (1.6.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/lp2049904.patch: Suffix rustc link args with `-Clink-arg=-lc`
      when linking against external C ABI libraries (LP: #2049904)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 15:59:56 -0500

meson (1.6.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1083166, #1087919.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 16 Dec 2024 22:34:59 +0200

meson (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 20 Oct 2024 21:22:01 +0300

meson (1.6.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 13 Oct 2024 18:56:12 +0300

meson (1.6.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 07 Oct 2024 00:26:53 +0300

meson (1.5.2-2) unstable; urgency=medium

  * Remove the now unnecessary dep on pkg-resources. Closes: #1083481.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 04 Oct 2024 23:43:01 +0300

meson (1.5.2-1) unstable; urgency=medium

  * New upstream release. Closes: #1080463.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 20 Sep 2024 21:35:24 +0300

meson (1.5.1-2) unstable; urgency=medium

  * Remove Mono build deps. Closes: #1051691.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 30 Aug 2024 12:54:34 +0300

meson (1.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sat, 27 Jul 2024 14:24:55 +0300

meson (1.5.0-2) unstable; urgency=medium

  * Update policy. Closes: #1076108.
  * Update cython dep. Closes: #1076515

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 17 Jul 2024 19:22:35 +0300

meson (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Wed, 10 Jul 2024 20:26:20 +0300

meson (1.5.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 08 Jul 2024 20:54:30 +0300

meson (1.5.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 01 Jul 2024 18:39:47 +0300

meson (1.5.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Use Pytest-xdist to run unit tests in parallel.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 24 Jun 2024 19:48:03 +0300

meson (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Thu, 30 May 2024 19:13:45 +0300

meson (1.4.0-2) unstable; urgency=medium

  * Add temporary envvar to use the new crossgen tool.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 22 Apr 2024 22:45:57 +0300

meson (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 12 Mar 2024 19:57:49 +0200

meson (1.4.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 03 Mar 2024 23:34:56 +0200

meson (1.4.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 26 Feb 2024 23:31:57 +0200

meson (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 13 Feb 2024 21:38:02 +0200

meson (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 26 Dec 2023 19:31:01 +0200

meson (1.3.0-2) unstable; urgency=medium

  * Switch to cython3-legacy for now. Closes: #1056818.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 11 Dec 2023 21:52:10 +0200

meson (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Sun, 19 Nov 2023 21:58:49 +0200

meson (1.3.0~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 14 Nov 2023 00:38:51 +0200

meson (1.2.3-1) unstable; urgency=medium

  * Upload point release to unstable. Closes: #1055497.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 07 Nov 2023 19:11:56 +0200

meson (1.3.0~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 06 Nov 2023 00:50:44 +0200

meson (1.3.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Fri, 27 Oct 2023 21:17:10 +0300

meson (1.2.1-3) unstable; urgency=medium

  * Remove build dep to GTK 2 things. Closes: #1049376.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Tue, 22 Aug 2023 18:00:48 +0300

meson (1.2.1-2) unstable; urgency=medium

  * Add debian/clean. Closes: #1045515.

 -- Jussi Pakkanen <jpakkane@gmail.com>  Mon, 14 Aug 2023 19:58:17 +0300


